﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using Business;
using Persistance;

namespace WpfApp1
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public static IPersistanceManager strat { get; private set; }
            = new DataContractPersistance();
        public Manager LeManager { get; private set; } = new Manager(new StubLib.Stub());
        public ManagerUsers LeManagerUsers { get; private set; } = new ManagerUsers(new StubLib.Stub());

        public void Temp()
        {
            var mw = MainWindow as MainWindow;
        }

        private void Application_Activated(object sender, EventArgs e)
        {
            LeManager.LoadRequins();
            LeManager.Pers = new DataContractPersistance();
            LeManager.SaveRequins();

            LeManagerUsers.LoadUsers();
            LeManagerUsers.Pers = new DataContractPersistance();
            LeManagerUsers.SaveUsers();
        }

    }
}
